.Page {
  @include display-flex;
  @include flex-direction(column);
  padding-bottom: 15px;
  padding: 71px 0 0;
  &-logo {
    @include align-self(center);
    margin-top: 10px;
    margin-bottom: 10px;
    height: 6vh;
    img {
      height: 100%;
    }
    outline: none;
    @extend .HideOnDesktop;
    @extend .HideOnTablet;
  }
  &-button {
    width: 100%;
    margin-top: 15px;
    padding: 0 15px;
    @include display-flex;
    &--flex1 {
      button {
        @include flex(1);
      }
    }
    @include responsive(mobile) {
      app-loading-button,
      button {
        width: 100%;
      }
    }
    @include responsive(tablet desktop) {
      button {
        padding-left: 60px;
        padding-right: 60px;
      }
    }
    &--placeholder {
      height: 70px;
    }
    &--stickBottom {
      position: fixed;
      bottom: 0;
      left: 0;
      margin: 0;
      padding: 15px;
      @include box-shadow(0px -4px 4px rgba(#000, 0.05));
      background-color: $app_grey;
      z-index: $z_index_page_button;
      width: 100%;
      @include transition(all 0.5s ease-in-out);
      visibility: visible;
      &--hidden {
        bottom: -100%;
        visibility: hidden;
      }
      @include flex-center;
    }
  }
  &-link {
    @extend .Button--reset;
    margin-top: 30px !important;
    font-size: 1.4rem;
    color: $app_dark_grey;
    text-decoration: underline;
  }
  &-columns {
    @include responsive(tablet desktop) {
      @include display-flex;
      @include align-items(flex-start);
      @include flex-wrap(wrap);
    }
    &-column {
      @include responsive(mobile) {
        @include flex(1);
      }
      @include responsive(desktop) {
        @include flex(1);
      }
      @include responsive(tablet) {
        width: calc(50vw - 23px);
      }
    }
    &-left {
      @include flex(40);
      &--flex60 {
        @include flex(60);
      }
    }
    &-right {
      @include flex(60);
      &--flex40 {
        @include flex(40);
      }
    }
    &--with-button {
      margin-bottom: 90px;
    }
  }
}
